<div class="mt-32 overflow-hidden sm:mt-40">
    <div class="mx-auto max-w-7xl px-6 xl:flex xl:px-8">
        <div class="mx-auto grid max-w-2xl grid-cols-1 gap-x-12 gap-y-16 xl:mx-0 xl:min-w-full xl:max-w-none xl:flex-none xl:gap-y-8">
            <div class="xl:col-end-1 xl:w-full xl:max-w-lg xl:pb-8">
                <div>
                    @if($subtitle)<div class="text-base/7 font-semibold text-gray-600">{{$subtitle}}</div>@endif
                    <h2 class="text-4xl font-semibold tracking-tight text-gray-900 sm:text-5xl">{{$title}}</h2>
                </div>
                {!! $content !!}
            </div>
            @php
                $numAssets = count($assets ?? []);
            @endphp
            @if($numAssets > 0)
                <div class="flex flex-wrap items-start justify-end gap-6 sm:gap-8 xl:contents">
                    <div class="w-0 flex-auto xl:ml-auto xl:w-auto xl:flex-none xl:self-end">
                        <img
                            src="/imgs/tile2/{{$assets[0]['path']}}"
                            title="{{$assets[0]['title']}}"
                            alt="{{$assets[0]['description']}}"
                            class="aspect-[7/5] w-[37rem] max-w-none rounded-2xl bg-gray-50 object-cover"
                        />
                    </div>
                    @if($numAssets > 1)
                        <div
                            class="contents xl:col-span-2 xl:col-end-2 xl:ml-auto xl:flex xl:w-[37rem] xl:items-start xl:justify-end xl:gap-x-8">
                            <div class="order-first flex w-64 flex-none justify-end self-end xl:w-auto">
                                <img
                                    src="/imgs/tile/{{$assets[1]['path']}}"
                                    title="{{$assets[1]['title']}}"
                                    alt="{{$assets[1]['description']}}"
                                    class="aspect-[4/3] w-[16rem] max-w-none flex-none rounded-2xl bg-gray-50 object-cover"
                                />
                            </div>
                            @if($numAssets > 2)
                                <div class="flex w-96 flex-auto justify-end xl:w-auto xl:flex-none">
                                    <img
                                        src="/imgs/tile/{{$assets[2]['path']}}"
                                        title="{{$assets[2]['title']}}"
                                        alt="{{$assets[2]['description']}}"
                                        class="aspect-[7/5] w-[37rem] max-w-none flex-none rounded-2xl bg-gray-50 object-cover">
                                </div>
                                @if($numAssets > 3)
                                    <div class="hidden sm:block sm:w-0 sm:flex-auto xl:w-auto xl:flex-none">
                                        <img
                                            src="/imgs/tile/{{$assets[3]['path']}}"
                                            title="{{$assets[3]['title']}}"
                                            alt="{{$assets[3]['description']}}"
                                            class="aspect-[4/3] w-[24rem] max-w-none rounded-2xl bg-gray-50 object-cover">
                                    </div>
                                @endif
                            @endif
                        </div>
                    @endif
                </div>
            @endif
        </div>
    </div>
</div>
